{% extends 'base.html.twig' %}

{% block title %}Show file{% endblock %}

{% block body %}
    <div class="container">
        <div class="text-center mt-5 row">
            {% if path is not empty %}
                <div class="col-12">

                    <img src="https://chart.googleapis.com/chart?chs=300x300&cht=qr&chl={{ absolute_url(path('qr_code_download', { path : path })) }}&choe=UTF-8"
                         title="Link to {{ path }}"
                         alt="Link to {{ path }}" />
                </div>
                <div class="col-12">
                    <a href="{{ path('qr_code_download', { path : path }) }}" class="btn btn-primary">Download</a>
                </div>

            {% else %}
                <form action="{{ path('qr_code_generate') }}">
                    <div class="input-group mb-3">
                        <input name="path" type="text" class="form-control" placeholder="Recipient's username" aria-label="Recipient's username" aria-describedby="button-addon2">
                        <button class="btn btn-outline-secondary" type="submit" id="button-addon2">Qr Code</button>
                    </div>
                </form>
            {% endif %}
        </div>
    </div>
{% endblock %}
